Our systems have detected that your internet browser version does not meet the minimum requirements for the ADP EasyPayNet payroll application.

The minimum browser version requirement is Microsoft Internet Explorer 6.1 or higher. Netscape browsers are no longer supported by EasyPayNet.

To use EasyPayNet you must update your internet browser. Click the link below and follow the prompts provided to download the latest Microsoft Internet Explorer browser. The download is free and contains a variety of security and reliability enhancements not present in previous versions of Microsoft Internet Explorer.

Please contact your ADP service center if you have any questions. ADP looks forward to continuing to service all your payroll needs.

http://www.microsoft.com/windows/internet-explorer/worldwide-sites.aspx